Get Event

GET /events/:id

If you have an id for an event, you can use this endpoint to retrieve the event.

Example Response

Copy
{ "id": "bd4a0997-39db-41d9-883a-cdfa83e2101f", "createdAt": "2024-01-15T09:30:00.000Z", "name": "Summer Festival 2024", "startDate": "2024-07-01T14:00:00.000Z", "endDate": "2024-07-03T22:00:00.000Z", "published": true, "soldOut": false, "maxTickets": 40, "numberOfIssuedTickets": 32, "totalNumberOfReservedTickets": 34, "remainingTickets": 6, "ticketTypes": [ { "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab", "name": "General Admission", "price": 2500, "maxQuantity": null, "availableQuantity": null, "soldOut": false, "numberOfIssuedTickets": 20, "totalNumberOfReservedTickets": 21, "remainingTickets": null } ], "attributes": [ { "id": "0b4e6f1a-2c3d-4e5f-8a9b-1c2d3e4f5a6b", "name": "Kategori", "type": "SELECT", "multiple": false, "value": "7c1d2e3f-4a5b-4c6d-9e8f-0a1b2c3d4e5f", "selectedOptions": [ { "id": "7c1d2e3f-4a5b-4c6d-9e8f-0a1b2c3d4e5f", "masterLanguage": "da", "name": "Udforsk", "translations": [{ "language": "en", "name": "Explore" }] } ] }, { "id": "5f2a3b4c-5d6e-4f7a-8b9c-0d1e2f3a4b5c", "name": "Varighed", "type": "NUMBER", "value": 60 } ], ... }

attributes holds the event's values for your museum's own fields, such as a category: see Attribute.

‹ Previous
List Events
Next ›
Create Event